org.apache.commons.jexl

## Interface Script

    public interface Script

A JEXL Script.

A script is some valid JEXL syntax to be executed with a given set of `variables`.

A script is a group of statements, separated by semicolons.

The statements can be `blocks` (curly braces containing code), Control statements such as `if` and `while` as well as expressions and assignment statements.

Since:
  1.1

### Method Summary

Methods
`java.lang.Object` `execute(JexlContext context)` Executes the script with the variables contained in the supplied `JexlContext`.
`java.lang.String` `getText()` Returns the text of this Script.

### Method Detail

#### execute

    java.lang.Object execute(JexlContext context)
                             throws java.lang.Exception

Executes the script with the variables contained in the supplied `JexlContext`.

Parameters:
  `context` - A JexlContext containing variables.
Returns:
  The result of this script, usually the result of the last statement.
Throws:
  `java.lang.Exception` - on any script parse or execution error.

#### getText

    java.lang.String getText()

Returns the text of this Script.

Returns:
  The script to be executed.